Subject: Re: bug#13100: 24.2; c-guess-basic-syntax of cc-engine returned wrong syntactic context if init list of C++ class constructor is too long

From: Stefan Kangas <[email-masked]>
Date: Mon, 30 Sep 2019 18:45:54 +0200

Yangyingchao <[email-masked]> writes:

> I'm a c++ programer, and sometimes I need to initialize lots of member fields during in a constructor. Sometimes when the init list is too long, cc mode will treat some member-init-cont as topmost-init-cont, and then gives a wrong indention.
>
> After some debuging, I found this change:
>
> http://lists.gnu.org/archive/html/emacs-diffs/2012-03/msg00152.html.
>
> In this change, In CASE 5B, search limit is restricted to 500. This, sometimes, is not enough.
>
> Best Regards
> Tubo

That was almost 7 years ago.  Is this still an issue?

Best regards,
Stefan Kangas